/*
* This file is part of fwmon
* Copyright (c) 2001,2002 Gianni Tedesco
*
*    fwmon is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    fwmon is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with fwmon; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __LIBPCAP_HEADER_INCLUDED__
#define __LIBPCAP_HEADER_INCLUDED__

#ifndef _HAVE_LIBPCAP
#error "libpcap code is being compiled, but libpcap not installed"
#endif

int lpcap_init(void);
void lpcap_close(void);
void lpcap_dump ( p_packet p );
int lpcap_file_exists(const char *fn);

#endif /* __LIBPCAP_HEADER_INCLUDED__ */

